#pragma once

#include "cmGUIComponent.h"
#include "cmGuiLabel.h"
#include <memory>
class Spaceman;
class Entity;
class GUISpacemanInfo : cmGUIComponent
{
public:
	GUISpacemanInfo();
	virtual ~GUISpacemanInfo();

	virtual void Init();
	virtual void Update();

	cmGUILabel* m_pSpacemanNameLabel;
	cmGUILabel* m_pSpacemanTidbitLabel;

	void SetSpaceman(Spaceman* pSpaceman);
	std::weak_ptr<Entity> m_wpSpaceman;
};

