#include "SplashScreenState.h"
#include "MainMenuState.h"
#include "PlayState.h"
#include "GGJ2015.h"
#include "SplashScreen.h"

SplashScreenState::SplashScreenState()
{
}


SplashScreenState::~SplashScreenState()
{
}

void SplashScreenState::OnStart()
{
	cmScreenManager::Get().Clear();
	cmScreenManager::Get().Push(SplashScreen::ms_szScreenName);
}

void SplashScreenState::Update()
{
	cmScreenManager::Get().Update();
}

void SplashScreenState::Render()
{
	cmScreenManager::Get().Render();
}

bool SplashScreenState::OnMouseDown(const cmMouseButtons& button, const Vector3& vPos)
{

	return true;
}

bool SplashScreenState::OnMouseUp(const cmMouseButtons& button, const Vector3& vPos)
{
	GGJ2015::Get()->GetGameStateManager()->PushGameState<MainMenuState>();
	return true;
}

bool SplashScreenState::OnTouchStart()
{

	return true;
}

bool SplashScreenState::OnTouchEnd()
{

	return true;
}
