#pragma once
#include "Entity.h"
#include "Player.h"
class BlastDoor : public Entity
{
	

public:

	enum State
	{
		Locked,
		Unlocked,
		Open
	};

	
	BlastDoor(const std::string& locator ,Player owner);
	virtual ~BlastDoor();

	virtual void OnCollision(Entity* pEntity);
	virtual void Render() override;

	State m_state = Locked;
	std::vector<std::shared_ptr<Entity> > m_transitioningSpacemen;
	Player m_owner;
};

