#pragma once
#include "cmRender.h"
class Camera
{
public:
	Camera();
	~Camera();

	void Init();
	void Update();
	void Look();
	void ResetMouse();
	
	cmTransform& GetTransform() { return m_transform; }
private:
	void Move(Vector3 vPos);
	void Rotate(Vector3 vPos);
	cmTransform m_transform;
	Vector3 m_vMousePos;
	Vector3 m_vCamAngle;
	float m_fMoveTimer;
	float m_fZoomDist;
	bool m_bZoom;
};

