#pragma once
#include "cmMath.h"
class GameState
{
public:
	GameState();
	~GameState();

	virtual void OnStart() {}
	virtual void Update() {}
	virtual void Render() {}
	virtual void OnEnd() {}

	virtual bool OnMouseDown(const cmMouseButtons& button, const Vector3& vPos) { return false; }
	virtual bool OnMouseUp(const cmMouseButtons& button, const Vector3& vPos) { return false; }
	virtual bool OnMouseClick(const cmMouseButtons& button, const Vector3& vPos) { return false; }
	virtual bool OnMouseMove(const Vector3& vMousePos) { return false; }
	virtual bool OnTouchStart() { return false; }
	virtual bool OnTouchEnd() { return false; }
};

