#pragma once
#include "cmScreen.h"
#include "cmGUIButton.h"
class MainMenuScreen : public cmScreen
{
public:
	static const wchar_t* ms_szScreenName;
	static const int ms_nAnimFrames;
	static const float ms_fAnimTime;

	MainMenuScreen();
	virtual ~MainMenuScreen();

	virtual void OnInit();
	virtual void OnUpdate();
	virtual void OnEnter();
	virtual void OnExit();
	virtual void OnEvent(GUIEvents eEvent, cmGUIComponent* pComponent);

protected:
	cmGUIImage* m_pImgLogo;
	cmGUIButton* m_pBtnPlay;
	cmGUIButton* m_pBtnTutorial;
	cmGUIButton* m_pBtnCredits;

	float m_fAnimTimer;
	bool bGoToGame = false;
};

