#include "MainMenuState.h"
#include "PlayState.h"
#include "GGJ2015.h"
#include "MainMenuScreen.h"

MainMenuState::MainMenuState()
{
}


MainMenuState::~MainMenuState()
{
}

void MainMenuState::OnStart()
{
	// push the main menu screen
	cmScreenManager::Get().Clear();
	cmScreenManager::Get().Push(MainMenuScreen::ms_szScreenName);
	cmScreenManager::Get().GetCurrentScreen()->OnEnter();
}

void MainMenuState::Update()
{
	cmScreenManager::Get().Update();
}

void MainMenuState::Render()
{
	cmScreenManager::Get().Render();
}

bool MainMenuState::OnMouseDown(const cmMouseButtons& button, const Vector3& vPos)
{
	cmScreenManager::Get().OnMouseDown(button, vPos);
	return true;
}

bool MainMenuState::OnMouseUp(const cmMouseButtons& button, const Vector3& vPos)
{
	cmScreenManager::Get().OnMouseUp(button, vPos);
	return true;
}

bool MainMenuState::OnMouseClick(const cmMouseButtons& button, const Vector3& vPos)
{
	cmScreenManager::Get().OnMouseClick(button, vPos);
	return true;
}

bool MainMenuState::OnTouchStart()
{

	return true;
}

bool MainMenuState::OnTouchEnd()
{

	return true;
}
