#include "NameGenerator.h"
#include <string>
#include <vector>

RNG NameGenerator::ms_RNG;

const int s_nSpacenameRanksActualCount = 10;
const std::vector<std::wstring> NameGenerator::ms_vSpacenameRanks =
{
	L"STR_SPACENAME_RANK_01",
	L"STR_SPACENAME_RANK_02",
	L"STR_SPACENAME_RANK_03",
	L"STR_SPACENAME_RANK_04",
	L"STR_SPACENAME_RANK_05",
	L"STR_SPACENAME_RANK_06",
	L"STR_SPACENAME_RANK_07",
	L"STR_SPACENAME_RANK_08",
	L"STR_SPACENAME_RANK_09",
	L"STR_SPACENAME_RANK_10",
	L"STR_SPACENAME_RANK_11",
	L"STR_SPACENAME_RANK_12",
	L"STR_SPACENAME_RANK_13",
	L"STR_SPACENAME_RANK_14",
	L"STR_SPACENAME_RANK_15",
	L"STR_SPACENAME_RANK_16",
	L"STR_SPACENAME_RANK_17",
	L"STR_SPACENAME_RANK_18",
	L"STR_SPACENAME_RANK_19",
	L"STR_SPACENAME_RANK_20",
	L"STR_SPACENAME_RANK_21",
	L"STR_SPACENAME_RANK_22",
	L"STR_SPACENAME_RANK_23",
	L"STR_SPACENAME_RANK_24",
	L"STR_SPACENAME_RANK_25",
	L"STR_SPACENAME_RANK_26",
	L"STR_SPACENAME_RANK_27",
	L"STR_SPACENAME_RANK_28",
	L"STR_SPACENAME_RANK_29",
	L"STR_SPACENAME_RANK_30",
	L"STR_SPACENAME_RANK_31",
	L"STR_SPACENAME_RANK_32",
	L"STR_SPACENAME_RANK_33",
	L"STR_SPACENAME_RANK_34",
	L"STR_SPACENAME_RANK_35",
	L"STR_SPACENAME_RANK_36",
	L"STR_SPACENAME_RANK_37",
	L"STR_SPACENAME_RANK_38",
	L"STR_SPACENAME_RANK_39",
	L"STR_SPACENAME_RANK_40"
};

const int s_nSpacenameFirstsActualCount = 10;
const std::vector<std::wstring> NameGenerator::ms_vSpacenameFirsts =
{
	L"STR_SPACENAME_FIRST_01",
	L"STR_SPACENAME_FIRST_02",
	L"STR_SPACENAME_FIRST_03",
	L"STR_SPACENAME_FIRST_04",
	L"STR_SPACENAME_FIRST_05",
	L"STR_SPACENAME_FIRST_06",
	L"STR_SPACENAME_FIRST_07",
	L"STR_SPACENAME_FIRST_08",
	L"STR_SPACENAME_FIRST_09",
	L"STR_SPACENAME_FIRST_10",
	L"STR_SPACENAME_FIRST_11",
	L"STR_SPACENAME_FIRST_12",
	L"STR_SPACENAME_FIRST_13",
	L"STR_SPACENAME_FIRST_14",
	L"STR_SPACENAME_FIRST_15",
	L"STR_SPACENAME_FIRST_16",
	L"STR_SPACENAME_FIRST_17",
	L"STR_SPACENAME_FIRST_18",
	L"STR_SPACENAME_FIRST_19",
	L"STR_SPACENAME_FIRST_20",
	L"STR_SPACENAME_FIRST_21",
	L"STR_SPACENAME_FIRST_22",
	L"STR_SPACENAME_FIRST_23",
	L"STR_SPACENAME_FIRST_24",
	L"STR_SPACENAME_FIRST_25",
	L"STR_SPACENAME_FIRST_26",
	L"STR_SPACENAME_FIRST_27",
	L"STR_SPACENAME_FIRST_28",
	L"STR_SPACENAME_FIRST_29",
	L"STR_SPACENAME_FIRST_30",
	L"STR_SPACENAME_FIRST_31",
	L"STR_SPACENAME_FIRST_32",
	L"STR_SPACENAME_FIRST_33",
	L"STR_SPACENAME_FIRST_34",
	L"STR_SPACENAME_FIRST_35",
	L"STR_SPACENAME_FIRST_36",
	L"STR_SPACENAME_FIRST_37",
	L"STR_SPACENAME_FIRST_38",
	L"STR_SPACENAME_FIRST_39",
	L"STR_SPACENAME_FIRST_40"
};

const int s_nSpacenameLastsActualCount = 10;
const std::vector<std::wstring> NameGenerator::ms_vSpacenameLasts =
{
	L"STR_SPACENAME_LAST_01",
	L"STR_SPACENAME_LAST_02",
	L"STR_SPACENAME_LAST_03",
	L"STR_SPACENAME_LAST_04",
	L"STR_SPACENAME_LAST_05",
	L"STR_SPACENAME_LAST_06",
	L"STR_SPACENAME_LAST_07",
	L"STR_SPACENAME_LAST_08",
	L"STR_SPACENAME_LAST_09",
	L"STR_SPACENAME_LAST_10",
	L"STR_SPACENAME_LAST_11",
	L"STR_SPACENAME_LAST_12",
	L"STR_SPACENAME_LAST_13",
	L"STR_SPACENAME_LAST_14",
	L"STR_SPACENAME_LAST_15",
	L"STR_SPACENAME_LAST_16",
	L"STR_SPACENAME_LAST_17",
	L"STR_SPACENAME_LAST_18",
	L"STR_SPACENAME_LAST_19",
	L"STR_SPACENAME_LAST_20",
	L"STR_SPACENAME_LAST_21",
	L"STR_SPACENAME_LAST_22",
	L"STR_SPACENAME_LAST_23",
	L"STR_SPACENAME_LAST_24",
	L"STR_SPACENAME_LAST_25",
	L"STR_SPACENAME_LAST_26",
	L"STR_SPACENAME_LAST_27",
	L"STR_SPACENAME_LAST_28",
	L"STR_SPACENAME_LAST_29",
	L"STR_SPACENAME_LAST_30",
	L"STR_SPACENAME_LAST_31",
	L"STR_SPACENAME_LAST_32",
	L"STR_SPACENAME_LAST_33",
	L"STR_SPACENAME_LAST_34",
	L"STR_SPACENAME_LAST_35",
	L"STR_SPACENAME_LAST_36",
	L"STR_SPACENAME_LAST_37",
	L"STR_SPACENAME_LAST_38",
	L"STR_SPACENAME_LAST_39",
	L"STR_SPACENAME_LAST_40"
};

const int s_nSpacenameOccupationsActualCount = 10;
const std::vector<std::wstring> NameGenerator::ms_vSpacenameOccupations =
{
	L"STR_SPACENAME_OCCUPATION_01",
	L"STR_SPACENAME_OCCUPATION_02",
	L"STR_SPACENAME_OCCUPATION_03",
	L"STR_SPACENAME_OCCUPATION_04",
	L"STR_SPACENAME_OCCUPATION_05",
	L"STR_SPACENAME_OCCUPATION_06",
	L"STR_SPACENAME_OCCUPATION_07",
	L"STR_SPACENAME_OCCUPATION_08",
	L"STR_SPACENAME_OCCUPATION_09",
	L"STR_SPACENAME_OCCUPATION_10",
	L"STR_SPACENAME_OCCUPATION_11",
	L"STR_SPACENAME_OCCUPATION_12",
	L"STR_SPACENAME_OCCUPATION_13",
	L"STR_SPACENAME_OCCUPATION_14",
	L"STR_SPACENAME_OCCUPATION_15",
	L"STR_SPACENAME_OCCUPATION_16",
	L"STR_SPACENAME_OCCUPATION_17",
	L"STR_SPACENAME_OCCUPATION_18",
	L"STR_SPACENAME_OCCUPATION_19",
	L"STR_SPACENAME_OCCUPATION_20",
	L"STR_SPACENAME_OCCUPATION_21",
	L"STR_SPACENAME_OCCUPATION_22",
	L"STR_SPACENAME_OCCUPATION_23",
	L"STR_SPACENAME_OCCUPATION_24",
	L"STR_SPACENAME_OCCUPATION_25",
	L"STR_SPACENAME_OCCUPATION_26",
	L"STR_SPACENAME_OCCUPATION_27",
	L"STR_SPACENAME_OCCUPATION_28",
	L"STR_SPACENAME_OCCUPATION_29",
	L"STR_SPACENAME_OCCUPATION_30",
	L"STR_SPACENAME_OCCUPATION_31",
	L"STR_SPACENAME_OCCUPATION_32",
	L"STR_SPACENAME_OCCUPATION_33",
	L"STR_SPACENAME_OCCUPATION_34",
	L"STR_SPACENAME_OCCUPATION_35",
	L"STR_SPACENAME_OCCUPATION_36",
	L"STR_SPACENAME_OCCUPATION_37",
	L"STR_SPACENAME_OCCUPATION_38",
	L"STR_SPACENAME_OCCUPATION_39",
	L"STR_SPACENAME_OCCUPATION_40"
};

const int s_nSpacenameTidbitsActualCount = 10;
const std::vector<std::wstring> NameGenerator::ms_vSpacenameTidbits =
{
	L"STR_SPACENAME_TIDBIT_01",
	L"STR_SPACENAME_TIDBIT_02",
	L"STR_SPACENAME_TIDBIT_03",
	L"STR_SPACENAME_TIDBIT_04",
	L"STR_SPACENAME_TIDBIT_05",
	L"STR_SPACENAME_TIDBIT_06",
	L"STR_SPACENAME_TIDBIT_07",
	L"STR_SPACENAME_TIDBIT_08",
	L"STR_SPACENAME_TIDBIT_09",
	L"STR_SPACENAME_TIDBIT_10",
	L"STR_SPACENAME_TIDBIT_11",
	L"STR_SPACENAME_TIDBIT_12",
	L"STR_SPACENAME_TIDBIT_13",
	L"STR_SPACENAME_TIDBIT_14",
	L"STR_SPACENAME_TIDBIT_15",
	L"STR_SPACENAME_TIDBIT_16",
	L"STR_SPACENAME_TIDBIT_17",
	L"STR_SPACENAME_TIDBIT_18",
	L"STR_SPACENAME_TIDBIT_19",
	L"STR_SPACENAME_TIDBIT_20",
	L"STR_SPACENAME_TIDBIT_21",
	L"STR_SPACENAME_TIDBIT_22",
	L"STR_SPACENAME_TIDBIT_23",
	L"STR_SPACENAME_TIDBIT_24",
	L"STR_SPACENAME_TIDBIT_25",
	L"STR_SPACENAME_TIDBIT_26",
	L"STR_SPACENAME_TIDBIT_27",
	L"STR_SPACENAME_TIDBIT_28",
	L"STR_SPACENAME_TIDBIT_29",
	L"STR_SPACENAME_TIDBIT_30",
	L"STR_SPACENAME_TIDBIT_31",
	L"STR_SPACENAME_TIDBIT_32",
	L"STR_SPACENAME_TIDBIT_33",
	L"STR_SPACENAME_TIDBIT_34",
	L"STR_SPACENAME_TIDBIT_35",
	L"STR_SPACENAME_TIDBIT_36",
	L"STR_SPACENAME_TIDBIT_37",
	L"STR_SPACENAME_TIDBIT_38",
	L"STR_SPACENAME_TIDBIT_39",
	L"STR_SPACENAME_TIDBIT_40"
};

std::wstring NameGenerator::GetRandomName()
{
	return GetRandomRank() + L". " + GetRandomFirstName() + L" " + GetRandomSurname();
}

std::wstring NameGenerator::GetRandomRank()
{
	int index = ms_RNG.Get() % std::min(s_nSpacenameRanksActualCount, (int)ms_vSpacenameRanks.size());
	return ms_vSpacenameRanks[index];
}

std::wstring NameGenerator::GetRandomFirstName()
{
	int index = ms_RNG.Get() % std::min(s_nSpacenameFirstsActualCount, (int)ms_vSpacenameFirsts.size());
	return ms_vSpacenameFirsts[index];
}

std::wstring NameGenerator::GetRandomSurname()
{
	int index = ms_RNG.Get() % std::min(s_nSpacenameLastsActualCount, (int)ms_vSpacenameLasts.size());
	return ms_vSpacenameLasts[index];
}

std::wstring NameGenerator::GetRandomOccupation()
{
	int index = ms_RNG.Get() % std::min(s_nSpacenameOccupationsActualCount, (int)ms_vSpacenameOccupations.size());
	return ms_vSpacenameOccupations[index];
}

std::wstring NameGenerator::GetRandomTidbit()
{
	int index = ms_RNG.Get() % std::min(s_nSpacenameTidbitsActualCount, (int)ms_vSpacenameTidbits.size());
	return ms_vSpacenameTidbits[index];
}



