#pragma once

#include <string>
#include "cmMath.h"

class NameGenerator
{
public:
	static const std::vector<std::wstring> ms_vSpacenameRanks;
	static const std::vector<std::wstring> ms_vSpacenameFirsts;
	static const std::vector<std::wstring> ms_vSpacenameLasts;
	static const std::vector<std::wstring> ms_vSpacenameOccupations;
	static const std::vector<std::wstring> ms_vSpacenameTidbits;

	static std::wstring GetRandomName();
	static std::wstring GetRandomFirstName();
	static std::wstring GetRandomSurname();
	static std::wstring GetRandomRank();
	static std::wstring GetRandomOccupation();
	static std::wstring GetRandomTidbit();
protected:
	static RNG ms_RNG;
};