#include "SplashScreen.h"
#include "cmPlatform.h"
#include "GUIAnimations.h"

const wchar_t* SplashScreen::ms_szScreenName = L"SplashScreen";

SplashScreen::SplashScreen()
: m_pLblTitle(nullptr)
, m_pLblCaption(nullptr)
{
}


SplashScreen::~SplashScreen()
{
}

void SplashScreen::OnInit()
{
	m_pLblTitle = new cmGUILabel();
	if (m_pLblTitle)
	{
		m_pLblTitle->SetPosition(Vector3(0.0f, -0.175f));
		m_pLblTitle->SetSize(Vector3(0.0f, 0.1f));
		m_pLblTitle->SetText(L"STR_TITLE");
		m_pLblTitle->SetAnchorParent(AnchorCenter);
		m_pLblTitle->SetAnchorSelf(AnchorCenter);
		m_pLblTitle->SetScaleMode(ModeScaled);
		SPLASH_LOGO_GROW(m_pLblTitle, 300.0f, 500.0f);
		AddComponent(m_pLblTitle);
	}

	m_pLblCaption = new cmGUILabel();
	if (m_pLblCaption)
	{
		m_pLblCaption->SetPosition(Vector3(0.0f, -0.175f));
		m_pLblCaption->SetSize(Vector3(0.0f, 0.03f));
		m_pLblCaption->SetText(L"STR_TITLE_CAPTION");
		m_pLblCaption->SetAnchorParent(AnchorBottom);
		m_pLblCaption->SetAnchorSelf(AnchorBottom);
		m_pLblCaption->SetScaleMode(ModeScaled);
		SPLASH_LOGO_GROW(m_pLblCaption, 1000.0f, 500.0f);
		AddComponent(m_pLblCaption);
	}
}

