#include "TutorialScreen.h"
#include "cmScreenManager.h"
#include "cmGUI.h"
//====================================================================
const int TutorialScreen::ms_nNumTutorialScreens = 0;
const wchar_t* TutorialScreen::ms_szScreenName = L"TutorialScreen";
//====================================================================
TutorialScreen::TutorialScreen()
{}


TutorialScreen::~TutorialScreen()
{}

void TutorialScreen::OnInit()
{
	pImageOne = new cmGUIImage();
	pImageOne->SetSize(Vector3(1.0f, 1.0f));
	pImageOne->SetTexture(L"tutorial_01.tga");
	pImageOne->SetScaleMode(ModeScaledRelativeToHeightAspect);
	AddComponent(pImageOne);

	pImageTwo = new cmGUIImage();
	pImageTwo->SetSize(Vector3(1.0f, 1.0f));
	pImageTwo->SetTexture(L"tutorial_02.tga");
	pImageTwo->SetScaleMode(ModeScaledRelativeToHeightAspect);
	AddComponent(pImageTwo);
	pImageTwo->Hide();
}

bool TutorialScreen::OnMouseUp(const cmMouseButtons& button, const Vector3& vPos)
{
	if (!pImageTwo->IsVisible())
	{
		pImageOne->Hide();
		pImageTwo->Show();
	}
	else
	{
		cmScreenManager::Get().Pop();
	}

	return true;
}


